Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class NotificationBroadcasterSupport

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport

Direct Known Subclasses:
  Monitor, Timer

public class NotificationBroadcasterSupport
extends java.lang.Object
implements NotificationBroadcaster

This class provides an implementation of NotificationBroadcaster. It could be used as a super class of MBean to deal with notification. If inheritance can't be used, the following code can be used as an example for NotificationBroadcaster implementation.

Constructor Summary
`NotificationBroadcasterSupport()`

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, java.lang.Object handback)` Enables a couple (listener,handback) for a registered MBean to be added.
`MBeanNotificationInfo[]` | `getNotificationInfo()` Returns a NotificationInfo object contaning the name of the Java class of the notification and the notification types sent.
`void` | `removeNotificationListener(NotificationListener listener)` Enables a listener for an MBean to be removed.
`void` | `sendNotification(Notification notification)` Enables a MBean to send a notification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationBroadcasterSupport

    public NotificationBroadcasterSupport()

Method Detail

### addNotificationListener

    public void addNotificationListener(NotificationListener listener,
                                        NotificationFilter filter,
                                        java.lang.Object handback)

  Enables a couple (listener,handback) for a registered MBean to be added.
  Specified by:
    addNotificationListener in interface NotificationBroadcaster
  Parameters:
    `listener` - The listener object which will handles notifications emitted by the registered MBean.
    `filter` - The filter object. If not specified, no filtering will be performed before handling notifications.
    `handback` - The context to be sent to the listener when a notification is emitted.
  Throws:
    java.lang.IllegalArgumentException - Listener parameter is null.

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Enables a listener for an MBean to be removed. All couple (listener, handback) are removed.
  Specified by:
    removeNotificationListener in interface NotificationBroadcaster
  Parameters:
    `listener` - The listener object which will handles notifications emitted by the registered MBean.
  Throws:
    ListenerNotFoundException - The listener is not registered in the MBean.

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Returns a NotificationInfo object contaning the name of the Java class of the notification and the notification types sent.
  Specified by:
    getNotificationInfo in interface NotificationBroadcaster

### sendNotification

    public void sendNotification(Notification notification)

  Enables a MBean to send a notification.
  Parameters:
    `notification` - The notification to send.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD